Copyright: Created with EasyHelp (Tel: 0973 209667)


Logic/Comparator - RG354406

Description

This block implements a comparator function and provides both non-inverted and inverted outputs. X and Y accept a value from -100% to +100%.

If X > Y then the Output is true.

If X <= Y then the Output is false.

X and Y are persistent and both are trigger inputs.

Parameters

X	X input to the comparator.  Expects a value (-100% to +100%).

Y	Y input to the comparator.  Expects a value (-100% to +100%).

Get X	Returns the current value of X:  -100% to +100%.

Get Y	Returns the current value of Y:  -100% to +100%.

Get Output	Returns the current state of the comparator:  either true or false.


Description

This block implements a comparator function and provides both non-inverted and inverted outputs. X and Y accept a value from -100% to +100%.

If X > Y then the Output is true.

If X <= Y then the Output is false.

X and Y are persistent and both are trigger inputs.


Parameters

X	X input to the comparator.  Expects a value (-100% to +100%).

Y	Y input to the comparator.  Expects a value (-100% to +100%).

Get X	Returns the current value of X:  -100% to +100%.

Get Y	Returns the current value of Y:  -100% to +100%.

Get Output	Returns the current state of the comparator:  either true or false.